"use client";
import { AiOutlineClose } from "react-icons/ai";
import Link from "next/link";
import { Swiper, SwiperSlide } from "swiper/react";
import "swiper/swiper.min.css";
import Product from "../shared/product/Product";
import Image from "next/image";
import ViewCartProduct from "./component/ViewCartProduct";
import CartProceedBtn from "./component/CartProceedBtn";
import "./cart.css"

const Cart = () => {
  return (
    <>
      <section className="py-[40px] md:py-[60px] lg:py-[80px]">
        <div className="side-space">
          <div className="ptb-5">
            <div className="cart-wrapper">
              <div className="view-cart">
                <div className="text-start mb-3 common-heading">
                  <h3 className="" style={{fontSize:'24px'}}>Shopping Cart</h3>
                </div>
                <hr />
                <ViewCartProduct></ViewCartProduct>
              </div>

              <div className="Procced-cart">
                <CartProceedBtn></CartProceedBtn>
              </div>
            </div>
          </div>
        </div>
      </section>

      <hr className="my-0"/>

      <section className="py-[40px] md:py-[60px] lg:py-[80px]">
        <div className="side-space">
          <div className="common-heading text-center mb-3">
            <h3 className="text-left">Customers Also Brought </h3>
          </div>
          <div className="mt-3 mt-md-5">
            <div className="category-list col-span-12">
              <Swiper
                slidesPerView={5.3}
                spaceBetween={25}
                loop={true}
                autoplay={{ delay: 2500 }}
                navigation={false}
                pagination={{ clickable: true }}
                breakpoints={{
                  320: { slidesPerView: 1.1 },
                  480: { slidesPerView: 2.2 },
                  770: { slidesPerView: 3 },
                  1030: { slidesPerView: 4 },
                  1340: { slidesPerView: 5.3 },
                }}
              >
                {[1, 2, 3, 4, 5, 6, 7].map((index) => (
                  <SwiperSlide key={index}>
                    <Product />
                  </SwiperSlide>
                ))}
              </Swiper>
            </div>
          </div>
        </div>
      </section>
    </>
  );
};

export default Cart;
