import React from 'react';
import CustomButton from '../shared/CustomBtn';
import "./CheckoutForm.css";
import Link from "next/link"

const CheckoutForm = () => {
    return (
        <form>
            <div className='checkout-form mt-3 mb-3'>
                <div className="d-block d-sm-flex justify-content-between mt-3 mb-2">
                    <h3 className='text-[18px] text-[#333] leading-7 font-semibold'> Contact information  </h3>
                    <p className="pull-right text-theme  float-sm-none">Already have an account? <Link href="/login" className="ancher-text"><b>Login</b></Link></p>
                </div>

                <div className="outer-box">
                    <div className="inner-box">
                        <div className="mb-3">
                            <label>Email <span className="text-danger">*</span></label>
                            <input className="form-control" type="email" name="new_email"  placeholder="Enter Email" required />
                        </div>
                    </div>
                </div>

                <div className="d-block d-sm-flex justify-content-between mt-4 mb-4">
                    <p className='checkout-heading'> Add a new address</p>
                </div>

                <div className="outer-box mt-3 mb-3">
                    <div className="inner-box">
                        <div className="mb-3">
                            <label>Full Name <span className="text-danger">*</span></label>
                            <input className="form-control" type="text"  placeholder="Full Name" required />
                        </div>

                        <div className="mb-3">
                            <label>Phone Number <span className="text-danger">*</span></label>
                            <input className="form-control" type="text" placeholder="Enter Phone Number" minLength="10" maxLength="13" required />
                        </div>

                        <div className="mb-3">
                            <label>Address <span className="text-danger">*</span></label>
                            <input className="form-control" type="text" placeholder="Address Line 1" />
                        </div>

                        <div className="mb-3">
                            <label>Flate, House No., Building , Company, Apartment, floor,</label>
                            <input className="form-control" type="text"  placeholder="Apartment, suite, unit, building, floor, etc." />
                        </div>

                        <div className="mb-3">
                            <label>City / Parish <span className="text-danger">*</span></label>
                            <input className="form-control" type="text"  placeholder="Enter City / Parish" required />
                        </div>

                        <div className="mb-3">
                            <label>Postal Code <span className="text-danger">*</span></label>
                            <input className="form-control" type="text" placeholder="Postal Code" required />
                        </div>

                        <div className="mb-3">
                            <label> State <span className="text-danger"></span>*</label>
                            <input className="form-control" type="text"  placeholder="State" required />
                        </div>

                        <div className="mb-3">
                            <label>Country/Region <span className="text-danger">*</span></label>
                            <select  className='form-control' required>
                                <option value="">Select Country</option>
                                <option value="Afghanistan">Afghanistan</option>
                                <option value="Åland Islands">Åland Islands</option>
                                <option value="Albania">Albania</option>
                                <option value="Algeria">Algeria</option>
                                <option value="American Samoa">American Samoa</option>
                            </select>
                        </div>

                        <div className="text-center mt-4 mb-2">
                        <CustomButton
                            title="SUBMIT"
                            bgColor="#000"
                            hoverBgColor="#333333"
                            textColor="#ffffff"
                            hoverTextColor="#ffffff"
                            borderColor="#000"
                            borderRadius="8px"
                        />
                            
                        </div>
                    </div>
                </div>
            </div>
        </form>
    );
};

export default CheckoutForm;
