import React from "react";
import  Link  from "next/link";
import CheckoutForm from "./CheckoutForm";
import CheckoutAddress from "./CheckoutAddress";
import "./Checkout.css";

const Checkout = () => {
  return (
    <>
      <section className="py-[40px] md:py-[60px] lg:py-[80px]">
        <div className="side-space">
          <div className="checkout-wrapper ptb-5">
            <div className="text-center common-heading">
              <h3>Checkout Process</h3>
            </div>

            <div className="checkout-text">
            <h3 className='text-[20px] text-[#333] leading-7 font-semibold'>Select A Delivery Address </h3>
              <p>
                Is the address {"you'd"} like to use displayed below? If so, click
                the corresponding {`"Deliver to this address"`} button. Or you can{" "}
                <Link href="#" className="ancher-text">
                  <b>enter a new delivery address</b>
                </Link>
                .
              </p>
              <p className="mt-2">
                <b>On the move? Pick up your order from our pickup store.</b>
              </p>
            </div>

            <div className="checkout-content mt-5">
              {/* CheckoutForm  */}

              <div className="checkout-form-wrapper">
                <CheckoutForm></CheckoutForm>
              </div>

              {/* End CheckoutForm */}

              {/* CheckoutAddress */}

              <div className="checkout-address-wrapper">
                <div className="checkout-address">
                  <CheckoutAddress></CheckoutAddress>
                  <CheckoutAddress></CheckoutAddress>
                  <CheckoutAddress></CheckoutAddress>
                  <CheckoutAddress></CheckoutAddress>
                </div>
              </div>

              {/* End CheckoutAddress */}
            </div>
          </div>
        </div>
      </section>
    </>
  );
};

export default Checkout;
