import React from "react";
import { Swiper, SwiperSlide } from "swiper/react";
import { Navigation, Thumbs } from "swiper";
import "swiper/swiper.min.css";
import "swiper/css";
import "swiper/css/pagination";
import "swiper/css/navigation";
import EssentialsCard from "./EssentialsCard";

const Essentials = () => {
  return (
    <>
      <div className="">
        <div className="side-space">
          <div className="common-heading mb-4">
            <h2 className="font-Butler">Essentials</h2>
          </div>

          <div>
            <ul className="essential-list pl-0">
                 <Swiper
                        slidesPerView={5}
                        loop={true}
                        spaceBetween={10}
                        navigation={true}
                        modules={[Navigation, Thumbs]}
                        breakpoints={{
                          0: { slidesPerView: 1, margin: 0 },
                          500: { slidesPerView: 2 },
                          800: { slidesPerView: 3 },
                          1200: { slidesPerView: 4 },
                          1399: { slidesPerView: 5 },
                        }}
                      >
                        {[1,2,3,4,5,6].map((Essentialscard ,index) => (
                          <SwiperSlide key={index}>
                             <EssentialsCard/>
                          </SwiperSlide>
                        ))}
                      </Swiper>
            </ul>
          </div>
        </div>
      </div>
    </>
  );
};

export default Essentials;
