import React from "react";
import "./stripinfo.css";
import { BsFillBoxSeamFill } from "react-icons/bs";
import { MdSupportAgent } from "react-icons/md";
import { PiSealCheckDuotone } from "react-icons/pi";
import { FaDownload } from "react-icons/fa6";

import SwiperCore, { Autoplay, Pagination, Navigation } from "swiper";
import { Swiper, SwiperSlide } from "swiper/react";
import "swiper/swiper.min.css";
import "swiper/css";
import "swiper/css/pagination";
import "swiper/css/navigation";

SwiperCore.use([Autoplay, Pagination, Navigation]);

const StripInfo = () => {
  return (
    <>
      <section className="strip-info-container">
        <div className="side-space">
        <Swiper
          spaceBetween={50}
          slidesPerView={1}
          breakpoints={{
            200: {
              slidesPerView: 1,
              spaceBetween: 0,
            },
            640: {
              slidesPerView: 2,
              spaceBetween: 0,
            },
            768: {
              slidesPerView: 3,
              spaceBetween: 0,
            },
            1180: {
              slidesPerView: 4,
              spaceBetween: 0,
            },
          }}
          modules={[Navigation]}
        >
          <SwiperSlide>
            <div className="strip-content-inner bg-blue-shade-1">
              <div className="strip-svg mb-2">
                <BsFillBoxSeamFill />
              </div>
              <div className="strip-content">
                <p className="fw-semibold mb-0 text-[16px] lg:text-[18px] font-poppins text-[#fff] leading-6">
                  Easy Returns & Exchanges
                </p>
              </div>
            </div>
          </SwiperSlide>

          <SwiperSlide>
            <div className="strip-content-inner bg-blue-shade-2">
              <div className="strip-svg mb-2">
                <MdSupportAgent />
              </div>
              <div className="strip-content">
                <p className="fw-semibold mb-0 text-[16px] lg:text-[18px] font-poppins text-[#fff] leading-6">
                  24/7 Customer Support
                </p>
              </div>
            </div>
          </SwiperSlide>

          <SwiperSlide>
            <div className="strip-content-inner bg-blue-shade-3">
              <div className="strip-svg mb-2">
                <PiSealCheckDuotone />
              </div>
              <div className="strip-content">
                <p className="fw-semibold mb-0 text-[16px] lg:text-[18px] font-poppins text-[#fff] leading-6">
                  Years Warranty
                </p>
              </div>
            </div>
          </SwiperSlide>

          <SwiperSlide>
            <div className="strip-content-inner bg-blue-shade-4">
              <div className="strip-svg mb-2">
                <FaDownload />
              </div>
              <div className="strip-content">
                <p className="fw-semibold mb-0 text-[16px] lg:text-[18px] font-poppins text-[#fff] leading-6">
                  Download E-Catalogue
                </p>
              </div>
            </div>
          </SwiperSlide>
        </Swiper>
            </div>
         
      </section>
     
    </>
  );
};

export default StripInfo;
