"use client";
import React from "react";
import SwiperCore, { Autoplay, Pagination, Navigation } from "swiper";
import { Swiper, SwiperSlide } from "swiper/react";
import "swiper/swiper.min.css";
import "swiper/css";
import "swiper/css/pagination";
import "swiper/css/navigation";
import CategoryCard from "./CategoryCard";
import "./category.css";
// category images
import FaucetImg from "/public/category/cate-1.jpg";
import ShowerImg from "/public/category/cate-2.jpg";
import AccessoriesImg from "/public/category/cate-3.jpg";
import CustomLink from "@/app/shared/CustomLink";
import Image from "next/image";

SwiperCore.use([Autoplay, Pagination, Navigation]);

const Category = () => {
  return (
    <>
      <section className="shopify-section two-img-sec pt-[40px] md:pt-[60px] lg:pt-[80px]">
        <div className="side-space" data-type="banner-block">
          <div className="flex justify-between items-start">
            <div className="common-heading mb-2 mb-sm-4">
              <h3>Categories</h3>
            </div>

            <div className="mb-3 mb-sm-0">
              <CustomLink
                href="/shop"
                title="View More"
                bgColor="#000"
                hoverBgColor="#2eb7f1"
                textColor="#ffffff"
                hoverTextColor="#fff"
                borderColor="#333"
                showArrow={true}
              />
            </div>
          </div>
          <Swiper
            slidesPerView={3}
            loop={false}
            navigation={{
              nextEl: ".swiper-button-next",
              prevEl: ".swiper-button-prev",
            }}
            pagination={{ clickable: true }}
            breakpoints={{
              0: {
                slidesPerView: 1,
                spaceBetween: 10,
              },
              600: {
                slidesPerView: 1.5,
                spaceBetween: 10,
              },
              750: {
                slidesPerView: 2.2,
                spaceBetween: 20,
              },
              1250: {
                slidesPerView: 3,
                spaceBetween: 20,
              },
              1500: {
                slidesPerView: 3,
                spaceBetween: 30,
              },
            }}
          >
            <SwiperSlide>
              <div className="d-flex">
                <div className="two-img-box-inner two-img-box-first">
                  <div className="two-img-box-body">
                    <Image src={FaucetImg} alt="two-img" loading="lazy" />
                    <div className="two-img-title">
                      <h2>FAUCET</h2>
                      <p className="mb-1 line-clamp-4">
                        Elonna, a faucet manufacturer in India, offers an
                        exclusive range of single lever, quarter-turn, and
                        half-turn faucets with its unwavering quality. These
                        faucets are gorgeously contemporary and function
                        flawlessly.
                      </p>
                      <div className="mt-3 w-fit m-auto">
                        <CustomLink
                          href="/shop"
                          title="VIEW ALL"
                          bgColor="#fff"
                          hoverBgColor="#fff"
                          textColor="#000"
                          hoverTextColor="#00"
                          borderColor="#fff"
                          showArrow={true}
                        />
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </SwiperSlide>
            <SwiperSlide>
              <div className="d-flex">
                <div className="two-img-box-inner two-img-box-first">
                  <div className="two-img-box-body">
                    <Image src={ShowerImg} alt="two-img" loading="lazy" />
                    <div className="two-img-title">
                      <h2>Shower</h2>
                      <p className="mb-1 line-clamp-4">
                        A relaxing showering experience is guaranteed with
                        {"Splenzo's"} extensive selection of overhead and hand
                        showers, which offer a natural interaction of water and
                        air. Choose from a variety of designs that come in
                        different sizes and shapes.
                        
                      </p>
                      <div className="mt-3 w-fit m-auto">
                          <CustomLink
                            href="/shop"
                            title="VIEW ALL"
                            bgColor="#fff"
                            hoverBgColor="#fff"
                            textColor="#000"
                            hoverTextColor="#00"
                            borderColor="#fff"
                            showArrow={true}
                          />
                      </div>
                    </div>
                    
                  </div>
                </div>
              </div>
            </SwiperSlide>
            <SwiperSlide>
              <div className="d-flex">
                <div className="two-img-box-inner two-img-box-first">
                  <div className="two-img-box-body">
                    <Image src={AccessoriesImg} alt="two-img" loading="lazy" />
                    <div className="two-img-title">
                      <h2>ACCESSORIES</h2>
                      <p className="mb-1 line-clamp-4">
                        What truly completes a bathroom are the bathroom
                        accessories. You can discover all of these items at
                        Elona, whether {"you're"} seeking a chrome towel bar, tower
                        ring, tumbler holder, liquid soap dispenser, or flush
                        valves.
                      </p>
                      <div className="mt-3 w-fit m-auto">
                          <CustomLink
                            href="/shop"
                            title="VIEW ALL"
                            bgColor="#fff"
                            hoverBgColor="#fff"
                            textColor="#000"
                            hoverTextColor="#00"
                            borderColor="#fff"
                            showArrow={true}
                          />
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </SwiperSlide>
          </Swiper>
        </div>
      </section>
    </>
  );
};

export default Category;
