"use client";
import React from "react";
import SwiperCore, { Autoplay, Navigation } from "swiper";
import { Swiper, SwiperSlide } from "swiper/react";
import Link from "next/link";
import "swiper/swiper.min.css";
import "swiper/css";
import "swiper/css/pagination";
import "swiper/css/navigation";
import SliderImg from "/public/slider/Slider.jpg";
import SliderImg1 from "/public/slider/Slider-1.jpg";
import SliderImg2 from "/public/slider/Slider-2.jpg";
import Image from "next/image";
import '../../product_details/component/slider/slider.css';
import { BsArrowRight, BsArrowLeft } from "react-icons/bs";


SwiperCore.use([Autoplay, Navigation]);

const Slider = () => {
  return (
    <section className="">
      <div className="">
        <Swiper
          slidesPerView={1}
          loop={true}
          navigation={{ clickable: true }}
          modules={[Navigation]} 
          breakpoints={{
            0: {
              slidesPerView: 1,
              spaceBetween: 0,
            },
            600: {
              slidesPerView: 1,
              spaceBetween: 0,
            },
            750: {
              slidesPerView: 1,
              spaceBetween: 0,
            },
            1250: {
              slidesPerView: 1,
              spaceBetween: 0,
            },
            1500: {
              slidesPerView: 1,
              spaceBetween: 0,
            },
          }}
        >
           <SwiperSlide className="active">
            <div className="slider-banner">
              <Image src={SliderImg} alt="Slide" className="w-100 h-[320px] sm:h-[300px] md:h-auto"/>

              <div className="slide-content absolute  top-[5%]  left-4 sm:left-5 md:left-14 sm:top-[16%] md:top-[28%]">
                <h2 className="font-Butler-Normal text-white decoration-2 text-[18px] leading-[36px] md:leading-[40px] sm:text-3xl lg:text-[65px] uppercase lg:leading-[78px] font-normal decoration-[#D9D9D9] underline text-shadow underline-offset-8">
                  For an <br className="for-sm-none" />
                  extraordinary <br /> bathing 
                  experience
                </h2>
                <p className="text-[#fff] font-light font-poppins text-[14px] lg:text-[18px] leading-6">Our carefully curated selection of bath products is designed to elevate your bathing ritual to new heights.</p>
                <div className="mt-[30px] block sm:flex gap-[0.5rem] sm:gap-7 items-center">
                  <Link
                    href="/"
                    className="mb-3 mb-sm-0 mb-sm-0 rounded-full w-fit transition-all flex items-center gap-[0.5rem] bg-[#fff] border-1 border-[#fff]   py-2 px-5 md:px-6 lg:px-8 md:py-3  text-md text-[#333] font-medium  leading-[24px] no-underline hover:text-[#fff] hover:bg-[#333]"
                  >
                  Explore Here <BsArrowRight />
                  </Link>

                  <Link
                    href="/"
                    className="rounded-full w-fit transition-all flex items-center gap-[0.5rem] bg-[#3330] border-1 border-[#fff]   py-2 px-5 md:px-6 lg:px-8 md:py-3  text-md text-[#fff] font-medium  leading-[24px] no-underline hover:text-[#000] hover:bg-[#fff]"
                  >
                   Show Our Product <BsArrowRight />
                  </Link>
                </div>
              </div>
            </div>
          </SwiperSlide>

          <SwiperSlide>
            <div className="slider-banner">
            <Image src={SliderImg1} alt="Slide" className="w-100 h-[320px] sm:h-[300px] md:h-auto"/>

              <div className="slide-content absolute  top-[5%]  left-4 sm:left-5 md:left-14 sm:top-[16%] md:top-[28%]">
                <h2 className="font-Butler-Normal text-white decoration-2 text-[18px] leading-[36px] md:leading-[40px] sm:text-3xl lg:text-[65px] uppercase lg:leading-[78px] font-normal decoration-[#D9D9D9] underline text-shadow underline-offset-8">
                  For an <br className="for-sm-none" />
                  extraordinary <br /> bathing 
                  experience
                </h2>
                <p className="text-[#fff] font-light font-poppins text-[14px] lg:text-[18px] leading-6">Our carefully curated selection of bath products is designed to elevate your bathing ritual to new heights.</p>
                <div className="mt-[30px] block sm:flex gap-[0.5rem] sm:gap-7 items-center">
                  <Link
                    href="/"
                    className="mb-3 mb-sm-0 rounded-full w-fit transition-all flex items-center gap-[0.5rem] bg-[#fff] border-1 border-[#fff]   py-2 px-5 md:px-6 lg:px-8 md:py-3  text-md text-[#333] font-medium  leading-[24px] no-underline hover:text-[#fff] hover:bg-[#333]"
                  >
                  Explore Here <BsArrowRight />
                  </Link>

                  <Link
                    href="/"
                    className="rounded-full w-fit transition-all flex items-center gap-[0.5rem] bg-[#3330] border-1 border-[#fff]   py-2 px-5 md:px-6 lg:px-8 md:py-3  text-md text-[#fff] font-medium  leading-[24px] no-underline hover:text-[#000] hover:bg-[#fff]"
                  >
                   Show Our Product <BsArrowRight />
                  </Link>
                </div>
              </div>
            </div>
          </SwiperSlide>

          <SwiperSlide>
            <div className="slider-banner">
               <Image src={SliderImg2} alt="Slide" className="w-100 h-[320px] sm:h-[300px] md:h-auto"/>

              <div className="slide-content absolute  top-[5%]  left-4 sm:left-5 md:left-14 sm:top-[16%] md:top-[28%]">
                <h2 className="font-Butler-Normal text-white decoration-2 text-[18px] leading-[36px] md:leading-[40px] sm:text-3xl lg:text-[65px] uppercase lg:leading-[78px] font-normal decoration-[#D9D9D9] underline text-shadow underline-offset-8">
                  For an <br className="for-sm-none" />
                  extraordinary <br /> bathing 
                  experience
                </h2>
                <p className="text-[#fff] font-light font-poppins text-[14px] lg:text-[18px] leading-6">Our carefully curated selection of bath products is designed to elevate your bathing ritual to new heights.</p>
                <div className="mt-[30px] block sm:flex gap-[0.5rem] sm:gap-7 items-center">
                  <Link
                    href="/"
                    className="mb-3 mb-sm-0 rounded-full w-fit transition-all flex items-center gap-[0.5rem] bg-[#fff] border-1 border-[#fff]   py-2 px-5 md:px-6 lg:px-8 md:py-3  text-md text-[#333] font-medium  leading-[24px] no-underline hover:text-[#fff] hover:bg-[#333]"
                  >
                  Explore Here <BsArrowRight />
                  </Link>

                  <Link
                    href="/"
                    className="rounded-full w-fit transition-all flex items-center gap-[0.5rem] bg-[#3330] border-1 border-[#fff]   py-2 px-5 md:px-6 lg:px-8 md:py-3  text-md text-[#fff] font-medium  leading-[24px] no-underline hover:text-[#000] hover:bg-[#fff]"
                  >
                   Show Our Product <BsArrowRight />
                  </Link>
                </div>
              </div>
            </div>
          </SwiperSlide>         
        </Swiper>

        {/* <div className="relative">
            
        <div className="swiper-button-next text-white absolute top-1/2 right-0 transform -translate-y-1/2 cursor-pointer z-10"><BsArrowRight size={30} /></div>
        <div className="swiper-button-prev text-white absolute top-1/2 left-0 transform -translate-y-1/2 cursor-pointer z-10"><BsArrowLeft size={30} /></div>

        </div> */}

      </div>
    </section>
  );
};

export default Slider;
