"use client";
import Link from "next/link";
import styles from "./footer.module.css";
import ScrollToTop from "../../shared/ScrollToTop";
import MobileFooterMenuSticky from "./MobileFooterMenuSticky";
import { FaFacebookSquare } from "react-icons/fa";
import { FaInstagram } from "react-icons/fa";
import { FaYoutube } from "react-icons/fa";
import Payment from "/public/payment.png"
import Image from "next/image";
import { FaArrowRightLong } from "react-icons/fa6";



const handleLinkClick = () => {
  ScrollToTop();
};

function Footer() {
  return (
    <footer className={`pt-[35px] md:pt-[60px] ${styles.footer_bg}`}>
      <div className="side-space">
        <div className="grid grid-cols-2 sm:grid-cols-2  md:grid-cols-2  lg:grid-cols-4 gap-[0.5rem] md:gap-[3rem]">
          <div className="col-span-12 sm:col-span-6 md:col-span-1">
            <h6 className="border-b-2 border-[#9797971c]  pb-1"> NEWSLETTER</h6>
            <p className="text-[12px] text-[#e5e5e5] font-normal leading-5">We love to keep our clients updated of new product and special offers. Please Subscribe!</p>
             
             <div className="mb-3 mb-md-0">
              <div className="mb-4 input-group">
                <input placeholder="Email" aria-label="Email" className="h-57 form-control"/>
                <span className="input-group-text" id="basic-addon2">
                  <FaArrowRightLong className="text-[24px]" />
                </span>
              </div>
               </div>     
          </div>

      
           <div className="col-span-12 sm:col-span-6 md:col-span-1">
            <h6 className="border-b-2 border-[#9797971c]  pb-1"> BATHROOM</h6>
            <ul className={styles.footer_links}>
              <li>
                <Link href="#" onClick={handleLinkClick}>
                  Bathroom Faucet
                </Link>
              </li>
              <li>
                <Link href="#" onClick={handleLinkClick}>
                  Showering
                </Link>
              </li>
              <li>
                <Link href="#" onClick={handleLinkClick}>
                  Accessories
                </Link>
              </li>
              <li>
                <Link href="#" onClick={handleLinkClick}>
                  Bathroom Fittings
                </Link>
              </li>
              <li>
                <Link href="#" onClick={handleLinkClick}>
                  Bathroom Taps
                </Link>
              </li>
              <li>
                <Link href="#" onClick={handleLinkClick}>
                  Water Taps
                </Link>
              </li>
            </ul>
          </div>

          <div className="col-span-12 sm:col-span-6 md:col-span-1">
            <h6 className="border-b-2 border-[#9797971c]  pb-1"> Quick Links</h6>
            <ul className={styles.footer_links}>
              <li>
                <Link href="/about_us" onClick={handleLinkClick}>
                  About Us
                </Link>
              </li>

              <li>
                <Link href="/contact_us" onClick={handleLinkClick}>
                  Contact Us
                </Link>
              </li>

              <li>
                <Link href="/track-order" onClick={handleLinkClick}>
                  Track Order
                </Link>
              </li>

              <li>
                <Link href="/privacy_policy" onClick={handleLinkClick}>
                  Privacy Policy
                </Link>
              </li>
              <li>
                <Link href="/term_and_condition" onClick={handleLinkClick}>
                  Terms & Conditions
                </Link>
              </li>
              <li>
                <Link href="/cookies" onClick={handleLinkClick}>
                  Cookies Policy
                </Link>
              </li>
            </ul>
          </div>


          <div className="col-span-12 sm:col-span-6 md:col-span-1">
            <h6 className="border-b-2 border-[#9797971c]  pb-1">
              {" "}
              Connect with us
            </h6>

            <ul className={styles.footer_links}>
              <li>
                <Link href="#">
                  <b>PHONE</b> <br></br>
                  +1-202-555-0158
                </Link>
              </li>
              <li>
                <Link href="#">
                  <b>EMAIL</b> <br></br>
                  contact@demo.com
                </Link>
              </li>
            </ul>
            <ul className="social-ul p-0 mt-3">
              <li>
                <Link href="#" target="_blank" className="text-[#fff]">
                  <FaFacebookSquare className="text-[#fff]"/>
                </Link>
              </li>

              <li>
                <Link href="#" target="_blank" className="text-[#fff]">
                  <FaInstagram className="text-[#fff]"/>
                </Link>
              </li>

              <li>
                <Link href="#" target="_blank" className="text-[#fff]">
                  <FaYoutube className="text-[#fff]"/>
                </Link>
              </li>
            </ul>
          </div>
         </div>

        <div className="border-t-4 border-[#97979733] mt-4 md:mt-10 md:mb-4"></div>

        <div className="grid grid-cols-1  sm:grid-cols-2 gap-2 pb-3">
          <div>
            <ul className="block sm:flex mb-0 p-0">
              <li className="text-[13px] text-[#e5e5e5] leading-5">
                Copyright © 2023 Elona. All Rights Reserved.
              </li>
            </ul>
          </div>
          <div className={`d-block d-md-flex gap-4 justify-between align-items-center`}>
            <div>
              <Image src={Payment} alt="payment"/>
            </div>
            <p className="text-[#5e5e5] text-[13px] mb-0">
              <span>
                designed by
                <Link
                  href="https://www.designdot.co.in/"
                  target="_blank"
                  className={styles.designdot_link}
                ></Link>
              </span>
            </p>
          </div>
        </div>
      </div>
      <MobileFooterMenuSticky />
    </footer>
  );
}

export default Footer;
