import React,{useState, useEffect} from 'react';
import { AiOutlineShop } from "react-icons/ai";
import { FaRegUser } from "react-icons/fa";
import { BiHomeSmile } from "react-icons/bi";
import { GoHeart } from "react-icons/go";
import { MdOutlineShoppingBag } from "react-icons/md";
import Link from "next/link";
import "./mobilesticky.css"

const MobileFooterMenuSticky = () => {
  
    const [isFooterStickyMenu, SetFooterStickyMenu] =useState();

    useEffect(()=>{
         const footerScroll = () =>{
            const scrollFooterTop = window.pageYOffset;
            SetFooterStickyMenu(scrollFooterTop > 350);
         }
         window.addEventListener('scroll', footerScroll);
        return () => {
          
            window.removeEventListener('scroll', footerScroll);

        };
    })

  return (
    <>
       <div className={`${isFooterStickyMenu ? "mobile-stickybar active" : ""} mobile-sticky-menu`}>
        <div className="mobile-stickybar-wrap">
            <ul className="mobile-sticky-wrp mb-0">
                <li className="home-bottom">
                    <Link href="/">
                        <BiHomeSmile />
                        <span>Home</span>
                    </Link>
                </li>
                <li>
                    <Link href="#">
                        <AiOutlineShop />
                        <span>Shop</span>
                    </Link>
                </li>
                <li>
                    <Link  href="/signin">
                        <FaRegUser />
                        <span>Log in</span>
                    </Link>
                </li>

                <li>
                    <Link href="/wishlist" title="wishlist">
                        <GoHeart />
                        <span>Wishlist</span>
                    </Link>
                </li>

                <li className="cart-header">
                    <Link href="/cart">
                    <MdOutlineShoppingBag />
                        <span>cart</span>
                    </Link>
                </li>
            </ul>
        </div>
</div>

    </>
  )
}

export default MobileFooterMenuSticky
