'user client'
import React, { useState } from 'react';
import Link from 'next/link';
import './dropdownmenu.css';

const DropdownItem = ({ item }) => {
  const [isOpen, setIsOpen] = useState(false);

  return (
    <li className="custom-dropdown-item">
      <div onClick={() => setIsOpen(!isOpen)}>
        <Link href={item.link}>
          <span className="custom-link">{item.label}</span>
        </Link>
        {item.children && <span className="custom-arrow">{isOpen ? '▼' : '►'}</span>}
      </div>
      {item.children && isOpen && (
        <ul className="custom-dropdown">
          {item.children.map((child, index) => (
            <DropdownItem key={index} item={child} />
          ))}
        </ul>
      )}
    </li>
  );
};

const DropdownMenu = ({ menu }) => {
  return (
    <ul className="custom-dropdown">
      {menu.map((item, index) => (
        <DropdownItem key={index} item={item} />
      ))}
    </ul>
  );
};


export default DropdownMenu;
