"use client";
import React, { useState } from "react";
import Link from "next/link";
import "./sidebar.css";
import { FaAngleRight } from "react-icons/fa";
//import UserImg from "public/user.png";
import { BiArrowBack } from "react-icons/bi";
import Image from "next/image";
import { HiMiniBars2 } from "react-icons/hi2";

const subMenus = {
  products: {
    Faucets: {
      link: "/shop",
      subSub: [
        { title: "Luxury Faucets", link: "/shop" },
        { title: "Economy Faucets", link: "/shop" },
      ],
    },
    Showers: {
      link: "/shop",
      subSub: [
        { title: "Rain Showers", link: "/shop" },
        { title: "Hand Showers", link: "/shop" },
      ],
    },
  },
  luxurycollection: {
    "Health faucets": {
      link: "/shop",
      subSub: [
        { title: "Premium Health Faucets", link: "/shop" },
        { title: "Basic Health Faucets", link: "/shop" },
      ],
    },
    "Hand showers": {
      link: "/shop",
      subSub: [
        { title: "Luxury Hand Showers", link: "/shop" },
        { title: "Economy Hand Showers", link: "/shop" },
      ],
    },
    "Shower with arm": { link: "/shop" },
  },

  workwithus: {
    "Become an Dealer": {
      link: "/dealer",
    },
  },
};

function SideMenu() {
  const [isNavOpen, setNavOpen] = useState(false);
  const [activeMenu, setActiveMenu] = useState(null);
  const [activeSubMenu, setActiveSubMenu] = useState(null);

  const openNav = () => {
    setNavOpen(true);
  };

  const closeNav = () => {
    setNavOpen(false);
    setActiveMenu(null);
    setActiveSubMenu(null);
  };

  const openSubMenu = (menu) => {
    setActiveMenu(menu);
    setActiveSubMenu(null);
  };

  const openSubSubMenu = (subMenu) => {
    setActiveSubMenu(subMenu);
  };

  const backToMain = () => {
    setActiveMenu(null);
    setActiveSubMenu(null);
  };

  const backToSubMenu = () => {
    setActiveSubMenu(null);
  };

  return (
    <>
      <section>
        <div className="menu">
          <Link
            href="#"
            onClick={openNav}
            className="sidebar-link d-flex align-items-center"
          >
            <span className="bar-icon">
              <HiMiniBars2 />
            </span>
            <span className="d-none d-sm-block"> All Menu</span>
          </Link>
        </div>
        <div>
          <div
            id="myNav"
            className={`overlay-navbar ${isNavOpen ? "open" : ""}`}
          >
            <div id="hmenu-customer-profile">
              <div className="profile-icon ">
                {/* <Image src={UserImg} alt="user image" /> */}
              </div>
              <div id="hmenu-customer-profile-right">
                <div id="hmenu-customer-name">Hello, Shakti</div>
              </div>
            </div>
            <div>
              <Link className="closebtn" onClick={closeNav} href="#">
                &times;
              </Link>
            </div>

            <div className="overlay-navbar-content overlay-navbar-content1">
              {activeMenu ? (
                activeSubMenu ? (
                  <div className="submenu-slide">
                    <div>
                      <button
                        className="back-btn"
                        onClick={backToSubMenu}
                        href="#"
                      >
                        <BiArrowBack className="fa-20" />
                        {activeMenu}
                      </button>
                    </div>
                    <ul>
                      {subMenus[activeMenu][activeSubMenu].subSub.map(
                        (item, index) => (
                          <li key={index}>
                            <Link href={item.link} onClick={closeNav}>
                              {item.title}
                            </Link>
                          </li>
                        )
                      )}
                    </ul>
                  </div>
                ) : (
                  <div className="submenu-slide">
                    <div>
                      <button
                        className="back-btn"
                        onClick={backToMain}
                        href="#"
                      >
                        <BiArrowBack className="fa-20" />
                        Main Menu
                      </button>
                    </div>
                    <ul>
                      {Object.keys(subMenus[activeMenu]).map(
                        (subMenu, index) => (
                          <li key={index}>
                            {subMenus[activeMenu][subMenu].subSub ? (
                              <div className="d-flex justify-content-between align-items-center">
                                <Link
                                  href="#"
                                  onClick={() => openSubSubMenu(subMenu)}
                                >
                                  {subMenu} <FaAngleRight className="fa-20" />
                                </Link>
                              </div>
                            ) : (
                              <Link
                                href={subMenus[activeMenu][subMenu].link}
                                onClick={closeNav}
                              >
                                {subMenu}
                              </Link>
                            )}
                          </li>
                        )
                      )}
                    </ul>
                  </div>
                )
              ) : (
                <ul>
                  <li>
                    <div className="d-flex justify-content-between align-items-center">
                      <Link href="#" onClick={() => openSubMenu("products")}>
                        Products <FaAngleRight className="fa-20" />
                      </Link>
                    </div>
                  </li>

                  <li>
                    <Link
                      href="#"
                      onClick={() => openSubMenu("luxurycollection")}
                    >
                      Luxury Collection <FaAngleRight className="fa-20" />
                    </Link>
                  </li>

                  <li>
                    <Link href="/about_us" onClick={closeNav}>
                      About Us
                    </Link>
                  </li>

                  <li>
                    <Link href="#" onClick={closeNav}>
                      Buy Again
                    </Link>
                  </li>

                  <li>
                    <Link href="/deal" onClick={closeNav}>
                      Deals
                    </Link>
                  </li>

                  <li>
                    <Link href="/contact-us" onClick={closeNav}>
                      Contact Us
                    </Link>
                  </li>

                  <li>
                    <Link href="/track-order" onClick={closeNav}>
                      Track Order
                    </Link>
                  </li>

                  <li className="d-block d-sm-none">
                    <Link href="#" onClick={() => openSubMenu("workwithus")}>
                      Work with us <FaAngleRight className="fa-20" />
                    </Link>
                  </li>

                  <p className="menu-title mb-sm-1 mt-3" onClick={closeNav}>
                    HELP & SUPPORT
                  </p>

                  <li>
                    <Link href="#" onClick={closeNav}>
                      Help Line : 1800 212 1234
                    </Link>
                  </li>
                </ul>
              )}
            </div>
          </div>
        </div>
      </section>
    </>
  );
}

export default SideMenu;
