'use client'
import React, { useState } from "react";
import {  Form, Card,  InputGroup, Col,  Row,} from "react-bootstrap";
import  Link  from "next/link";
import CustomButton from "../shared/CustomBtn";

const PaymentCard = () => {
  const [paymentMethod, setPaymentMethod] = useState("");
  const [creditCardDetails, setCreditCardDetails] = useState({
    cardNumber: "",
    expiryDate: "",
    cvv: "",
  });

  const handlePaymentMethodChange = (event) => {
    setPaymentMethod(event.target.value);
  };


  return (
      <div className="card">
        <div className="card-body">
          <div className="common-heading">
            <h3 className="mb-3 text-[18px] md:!text-[20px] lg:!text-[24px] leading-6 lg:leading-7"> Choose Payment Mode </h3>
          </div>
          <hr></hr>
          <form>
            <div className="mb-3">
            <div className="form-check">
              <input className="form-check-input" type="radio"  id="UPI"
                value="upi"
                checked={paymentMethod === "upi"}
                onChange={handlePaymentMethodChange}/>
              <label className="form-check-label" for="UPI">
                UPI
              </label>
            </div>
              {paymentMethod === "upi" && (
                <>
                  <div className="payment-box my-3">
                    <h3>Pay with UPI</h3>
                    <hr></hr>
                    <div>
                        Option Here
                    </div>
                  </div>
                </>
              )}

              <div className="form-check">
                <input
                  type="radio"
                  id="credit_card"
                  value="credit_card"
                  checked={paymentMethod === "credit_card"}
                  onChange={handlePaymentMethodChange}
                  className="form-check-input" />
                  <label className="form-check-label" for="credit_card">
                  Credit / Debit Card
                </label>
               </div>

              {paymentMethod === "credit_card" && (
                <>
                  <div className="payment-box my-3">
                    <h3>Credit/ Debit Card </h3>
                    <hr></hr>
                    <div>
                      <div className="row">
                        <div className="col-xl-6 col-lg-12 col-sm-12">
                          <div className="mb-3">
                            <label>Card Holder First Name</label>
                            <input className="form-control"
                              type="text"
                              name="cardFirstName"
                              placeholder="Card Holder First name"
                              required
                            />
                          </div>
                        </div>
                        <div className="col-xl-6 col-lg-12 col-sm-12">
                          <div className="mb-3">
                            <label>Card Holder Last Name</label>
                            <input className="form-control"
                              type="text"
                              name="cardLastName"
                              placeholder="Card Holder Last name"
                              required
                            />
                          </div>
                        </div>

                        <div className="col-xl-6 col-lg-12 col-sm-12">
                          <div className="mb-3">
                            <label>Credit Card Number</label>
                            <input className="form-control"
                              type="text"
                              name="cardNumber"
                              placeholder="Enter Credit Card Number"
                              required
                            />
                          </div>
                        </div>

                        <div className="col-xl-6 col-lg-12 col-sm-12" >
                          <div className="mb-3">
                            <label>Expiry Date</label>
                            <select className="form-control" as="select" name="month" required>
                              <option value="">Month</option>
                           </select>
                          </div>
                        </div>
                        <div className="col-xl-6 col-lg-12 col-sm-12">
                          <div className="mb-3">
                            <label>Year</label>
                            <select className="form-control" as="select" name="year" required>
                              <option value="">Year</option>
                            </select>
                          </div>
                        </div>

                        <div className="col-xl-6 col-lg-12 col-sm-12">
                          <div className="mb-3">
                            <label>CVC</label>
                            <input className="form-control"
                              type="password"
                              name="cvc"
                              placeholder="Enter CCV"
                              required
                            />
                          </div>
                        </div>

                        <div className="col-xl-12 col-lg-12 col-sm-12 ">
                          <div className="mb-3">
                            <label>Security Code</label>
                            <InputGroup className="mb-3">
                              <input className="form-control"
                                placeholder="Enter Code →"
                                aria-describedby="basic-addon2"
                              />
                              <InputGroup.Text id="basic-addon2">
                                {" "}
                                1234
                              </InputGroup.Text>
                            </InputGroup>
                          </div>
                        </div>
                       

                        <div className="col-xl-12 col-lg-12 col-sm-12 pe-0">
                        <CustomButton
                            title="Pay Now"
                            bgColor="#000"
                            hoverBgColor="#333333"
                            textColor="#ffffff"
                            hoverTextColor="#ffffff"
                            borderColor="#000"
                            borderRadius="8px"
                         />
                        </div>
                      </div>
                    </div>
                  </div>
                </>
              )}

            <div className="form-check">
              <input
                type="radio"
                id="cod"
                value="cod"
                checked={paymentMethod === "cod"}
                onChange={handlePaymentMethodChange}
                className="form-check-input" />
              <label className="form-check-label" for="credit_card">
                 COD (Cash on Delivery)
             </label>
             </div>
              {paymentMethod === "cod" && <>
                <div className="payment-box my-3">
                    
                    <div>
                       <CustomButton
                            title="Submit"
                            bgColor="#000"
                            hoverBgColor="#333333"
                            textColor="#ffffff"
                            hoverTextColor="#ffffff"
                            borderColor="#000"
                            borderRadius="8px"
                         />
                    </div>
                  </div>
              </>}
            </div>
            
          </form>
        </div>
      </div>
  );
};

export default PaymentCard;
