'use client'
import { useEffect, useState } from "react";
import styles from "./review.module.css";
import { FaRegStar } from "react-icons/fa6";
import { AiFillStar } from "react-icons/ai";
import { FaRegStarHalfStroke } from "react-icons/fa6";

const Review = ({productDetail}) => {
  const [fiveStar,setFiveStar]=useState(0)
  const [fourStar,setFourStar]=useState(0)
  const [threeStar,setThreeStar]=useState(0)
  const [twoStar,setTwoStar]=useState(0)
  const [oneStar,setOneStar]=useState(0)
useEffect(()=>{
  let data=productDetail?.review
  if(productDetail?.review?.length>0){
    const five=data?.filter((ele)=>ele?.star==5);
    setFiveStar((five?.length/data?.length)*100);
    const four=data?.filter((ele)=>ele?.star==4);
    setFourStar((four?.length/data?.length)*100)
    const three=data?.filter((ele)=>ele?.star==3);
    setThreeStar((three?.length/data?.length)*100)
    const two=data?.filter((ele)=>ele?.star==2);
    setTwoStar((two?.length/data?.length)*100)
    const one=data?.filter((ele)=>ele?.star==1);
    setOneStar((one?.length/data?.length)*100)
  }
},[productDetail])
  
  const starRatings = [
    { stars: '★ ★ ★ ★ ★', percentage: fiveStar},
    { stars: '★ ★ ★ ★ ☆', percentage: fourStar},
    { stars: '★ ★ ★ ☆ ☆', percentage: threeStar},
    { stars: '★ ★ ☆ ☆ ☆', percentage: twoStar,},
    { stars: '★ ☆ ☆ ☆ ☆', percentage: oneStar,},
  ];

  const overallReviews = 4.0; 
  const getAvgOfReviews = () => {
    const reviews = productDetail?.review;
    if (reviews?.length === 0) {
      return 0; // Return 0 if the array is empty to avoid division by zero
    }
    const totalStars = reviews?.reduce((sum, review) => sum + review.star, 0);
    const average = totalStars / reviews?.length;

    const roundedAverage = Math.round(average * 2) / 2;

    return roundedAverage;
  };

  function getReviewIcon(averageReview) {

    if (averageReview < 0.5 || averageReview > 5) {
      return 'No Review';
    }
  
    const fullStars = Math.floor(averageReview);
    const hasHalfStar = averageReview % 1 !== 0;
    const emptyStars = 5 - fullStars - (hasHalfStar ? 1 : 0);
  
    const iconArray = [];
    for (let i = 0; i < fullStars; i++) {
      iconArray.push(<AiFillStar key={i} className="text-orange-300" />);
    }
  
    if (hasHalfStar) {
      iconArray.push(<FaRegStarHalfStroke key="half" className="text-orange-300" />);
    }
  
    for (let i = 0; i < emptyStars; i++) {
      iconArray.push(<FaRegStar key={i} className="text-orange-300" />);
    }
  
    return <>{iconArray}</>;
  }
  return (
    <>
      <div className="rating-container">
        <div className={styles.stars}>
        {getReviewIcon(getAvgOfReviews())}
          <span className="font-normal text-[#666] text-sm ml-3">
            ({getAvgOfReviews()} out of 5 )
          </span>
        </div>

        <div className={styles.progress_box}>
          {starRatings.map((rating) => (
            <div key={rating.stars} className={styles.overallrating}>
              <span className="text-yellow-500 text-[16px]">{rating.stars} </span>
              <div className={styles.progress} style={{ height: "15px" }}>
                <div
                  className={`bg-yellow-500 rounded`} style={{ width: `${rating.percentage}%`, height: "15px" }}
                ></div>
              </div>
            </div>
          ))}
        </div>
      </div>
    </>
  );
};

export default Review;
