"use client";

import { useState } from "react";
import "./slider.css";
import "swiper/swiper.min.css";
import "swiper/css";
import "swiper/css/pagination";
import "swiper/css/navigation";
import { Navigation, Thumbs } from "swiper";
import { Swiper, SwiperSlide } from "swiper/react";
import Image from "next/image";

import prodImg from "/public/product/prod-1.jpg";
import { IMAGEURL } from "@/Api/apiConfig";

export default function ProductSlider({ images, image }) {
  const [activeThumb, handleSwiper] = useState();

  const getSuitableImage = (row, size) => {
    if (size) {
      const img = JSON.parse(row?.compress_image)?.resized[size];
      return img;
    } else {
      const img = JSON.parse(row?.compress_image)?.original;
      return img;
    }
  };

  return (
    <>
      <div className="flex" style={{ gap: "10px" }}>
        <Swiper
          dots="true"
          loop={true}
          spaceBetween={10}
          navigation={true}
          modules={[Navigation, Thumbs]}
          thumbs={{ swiper: activeThumb }}
          className="product-images-slider mySwiper2"
        >
          {image && (
            <SwiperSlide>
              <Image
                src={`${IMAGEURL}${image}`}
                width={400}
                height={400}
                alt="product images"
              />
            </SwiperSlide>
          )}
          {images?.map((row, index) => (
            <SwiperSlide key={index}>
              <Image
                src={getSuitableImage(row)}
                width={400}
                height={400}
                alt="product images"
              />
            </SwiperSlide>
          ))}

          {/* <SwiperSlide>
            <Image src={prodImg} alt="product images" />
          </SwiperSlide> */}
        </Swiper>

        <Swiper
          onClick={handleSwiper}
          direction="vertical"
          loop={false}
          dots={true}
          spaceBetween={10}
          slidesPerView={3}
          className="product-images-slider-thumbs mySwiper"
        >
          {images?.map((row, index) => (
            <SwiperSlide key={index}>
              <div className="product-images-slider-thumbs-wrapper">
                <Image
                  src={getSuitableImage(row, "100px")}
                  width={100}
                  height={100}
                  alt="product images"
                />
              </div>
            </SwiperSlide>
          ))}
          {/* <SwiperSlide>
            <div className="product-images-slider-thumbs-wrapper">
              <Image src={prodImg} alt="product images" />
            </div>
          </SwiperSlide> */}

          {/* <SwiperSlide>
            <div className="product-images-slider-thumbs-wrapper">
              <Image src={prodImg} alt="product images" />
            </div>
          </SwiperSlide> */}
        </Swiper>
      </div>
    </>
  );
}
