"use client";
import Product from "@/app/shared/product/Product";
import React, { useEffect, useState } from "react";
import { Swiper, SwiperSlide } from "swiper/react";
import "swiper/css";
import "swiper/swiper-bundle.min.css";
import "swiper/css/navigation";
import "swiper/css/pagination";
import authApi from "@/Api/authApi";
const VariationSlider = ({  category }) => {
  const [allSimilarCats,setAllSimilarCats]=useState([])

  const getSimilarProducts = async () => {
    if (category) {
      try {
        const res = await authApi.get(`get-category-product/${category ?? ""}`);
        setAllSimilarCats(res?.data?.products)
      } catch (error) {}
    }
  };
  useEffect(() => {
    getSimilarProducts();
  }, [category]);

  return (
    <Swiper
      slidesPerView={6}
      spaceBetween={10}
      loop={true}
      autoplay={{ delay: 2500 }}
      navigation={false}
      pagination={{ clickable: true }}
      breakpoints={{
        0: {
          slidesPerView: 1,
          margin: 0,
        },
        450: {
          slidesPerView: 2,
        },

        650: {
          slidesPerView: 3,
        },
        1000: {
          slidesPerView: 4,
        },

        1399: {
          slidesPerView: 5,
        },
        1500: {
          slidesPerView: 6,
        },
      }}
      style={{ marginRight: "0" }}
    >
      {allSimilarCats?.map((product) => (
        <SwiperSlide key={product.id}>
          <Product row={product} />
        </SwiperSlide>
      ))}
    </Swiper>
  );
};

export default VariationSlider;
