"use client";
import React, {useState } from "react";
import styles from "../review/modal.module.css";
import { AiOutlineClose } from "react-icons/ai";
import Link from "next/link";
import { FaRegTrashCan } from "react-icons/fa6";
import Image from "next/image";
import ProdImg from "/public/product/prod-1.jpg";
import { Swiper, SwiperSlide } from "swiper/react";
import { Navigation, Thumbs } from "swiper";
import "swiper/swiper.min.css";
import "swiper/css";
import "swiper/css/pagination";
import "swiper/css/navigation";
import Range from "./Range";

const BulkOrder = () => {
  const [isPopupOpen, setIsPopupOpen] = useState(false);

  const openPopup = () => {
    setIsPopupOpen(true);
  };

  const closePopup = () => {
    setIsPopupOpen(false);
  };

  return (
    <>
        <button onClick={openPopup} className="py-[10px] px-4 text-[16px]  w-[inherit] sm:w-[230px]  duration-300 text-white rounded font-medium transition-colors bg-[#29abe2] hover:bg-[#000]" >
           Bulk Order
        </button>

      {isPopupOpen && (
        <div className={styles["popup-overlay"]}>
          <div className={`w-[100%] m-2 sm:w-[700px] ${styles.popup}`}>
            <div className={styles.modaldialog}>
              <div className="flex justify-between items-center  mb-3   border-b">
                <div>
                  <h3 className="text-lg text-[#333]  font-medium">
                     Buy In Bulk & Sizes
                  </h3>
                </div>
                <div>
                  <button  className={styles["close-button"]} onClick={closePopup} >
                    <AiOutlineClose className="text-lg font-semibold" />
                  </button>
                </div>
              </div>

              <div>
              <div className="sidebar-cart-itme mt-4">
           
              <div className="mini-cart-item">
                <div className="mini-cart-image">
                  <Link href="#">
                    <Image
                      src={ProdImg}
                      alt="product name"
                      width={100}
                      height={100}
                      className="w-100 h-[inherit] object-contain rounded"
                    />
                  </Link>
                </div>
                <div className="mini-cart-details">
                  <Link href="#" className="mini-cart-title line-clamp-1">
                    Adult Daily Multivitamin Gummies
                  </Link>
                  <div className="cart-variable">
                    <p>
                      <strong>Categories : </strong>
                      Health & Wellness
                    </p>
                  </div>

                  <div className="pvarprice d-flex align-items-center justify-content-between">
                    <p className="price mb-1">$25.00</p>
                  </div>
                </div>
              </div>

              <div className="mt-3">
              <h3>Select Modal</h3>
              <Swiper
                slidesPerView={5}
                loop={true}
                spaceBetween={10}
                navigation={true}
                modules={[Navigation, Thumbs]}
                breakpoints={{
                  0: { slidesPerView: 2, margin: 0 },
                  400: { slidesPerView: 3 },
                  800: { slidesPerView: 3 },
                  1200: { slidesPerView: 4 },
                  1399: { slidesPerView: 5 },
                }}
              >
                {[1,2,3,4,5,6].map((range) => (
                  <SwiperSlide key={range.id}>
                    <Range label={range.label} item={range.item} />
                  </SwiperSlide>
                ))}
              </Swiper>
            </div>

            {/* end cart */}
          </div>
              </div>
             <div className="mt-3">
             <form>
                  <div class="col-md-12 mb-2 flex-1">
                      <label class="text-[#666] text-sm">Quantity <span class="text-red-500">*</span></label><input class="form-control" placeholder="Quantity" type="number" value="30" />
                  </div>
   
                  <div className="p-0  mt-3 flex justify-center">
                    <input
                      type="submit"
                      name="submit"
                      className="rounded-full w-fit transition-all text-[14px] flex items-center gap-2 bg-[#000] border-1 border-[#000] hover:border-[#3333]  py-2 px-5  lg:px-10 md:py-3  text-md text-[#fff] font-normal  leading-[24px] no-underline hover:text-[#fff] hover:bg-[#333] hover:border-[#6f6f6f]"
                    />
                  </div>
              </form>
             </div>
            </div>
          </div>
        </div>
      )}
    </>
  );
};

export default BulkOrder;
