"use client";
import React, { useState } from "react";
import "./produc-content.css";
import { Swiper, SwiperSlide } from "swiper/react";
import { Navigation, Thumbs } from "swiper";
import "swiper/swiper.min.css";
import "swiper/css";
import "swiper/css/pagination";
import "swiper/css/navigation";
import Range from "./Range";
import { FaRegStar } from "react-icons/fa6";
import { BiSolidOffer } from "react-icons/bi";
import { AiFillStar } from "react-icons/ai";
import { FaRegStarHalfStroke } from "react-icons/fa6";
import ProductQty from "./ProductQty";
import ShowMoreText from "react-show-more-text";
import RatingModal from "../review/RatingModal";
import QuickCart from "./QuickCart";
import { FaHeart } from "react-icons/fa";
import Link from "next/link"
import BulkOrder from "./BulkOrder";


const ProductContent = ({ productDetail, getProductDetails }) => {
  const [qty, setQty] = useState(1);
  const [selectedModel, setSelectedModel] = useState({});

  const [expanded, setExpanded] = useState(false);

  const toggleExpansion = () => {
    setExpanded(!expanded);
  };

  const getAvgOfReviews = () => {
    const reviews = productDetail?.review;
    if (reviews?.length === 0) {
      return 0; // Return 0 if the array is empty to avoid division by zero
    }
    const totalStars = reviews?.reduce((sum, review) => sum + review.star, 0);
    const average = totalStars / reviews?.length;

    const roundedAverage = Math.round(average * 2) / 2;
      return roundedAverage;
   
  };

  
function getReviewIcon(averageReview) {
  if (averageReview < 0 || averageReview > 5) {
    averageReview = 0; // Set average review to 0 if it's out of range
  }

  const fullStars = Math.floor(averageReview);
  const hasHalfStar = averageReview % 1 !== 0;
  const emptyStars = 5 - fullStars - (hasHalfStar ? 1 : 0);

  const iconArray = [];
  for (let i = 0; i < fullStars; i++) {
    iconArray.push(<AiFillStar key={i} className="text-orange-300" />);
  }

  if (hasHalfStar) {
    iconArray.push(
      <FaRegStarHalfStroke key="half" className="text-orange-300" />
    );
  }

  for (let i = 0; i < emptyStars; i++) {
    iconArray.push(<FaRegStar key={i} className="text-orange-300" />);
  }

  return <>{iconArray}</>;
}

  const handleSelectModel = (range) => {
    setSelectedModel(range);
  };
  return (
    <>
      <div className="product-content mt-3 mt-md-0">
        <h3>Rectangular vessel bathroom sink</h3>
        <p>
          <span className="font-medium text-[#333] ">Categories :</span>
           Somany
        </p>
        <div className="product-rating">
          <p className="flex items-center text-white">
            <AiFillStar className="text-orange-300 " />
            <FaRegStarHalfStroke className="text-orange-300 " />
            <AiFillStar className="text-orange-300 " />
            <AiFillStar className="text-orange-300 " /> 
            | reviews
          </p>
        </div>

        <div className="prices flex gap-2">
          <span className="compare-price line-through font-semibold text-sm md:text-lg text-[#666]">
            Rs. 9,834
          </span>
          <span className="price on-sale ml-2 font-semibold text-sm sm:text-lg text-[#333]">
            Rs. 6,392
          </span>
          <span className="discount_price text-sm sm:text-lg text-green-700 font-semibold ml-2 ">
            (35% off)
          </span>
        </div>

         {/* offer line */}

         <div className="border-1 border-[#29abe2] border-solid p-3 w-[fit-content] mt-3 rounded">
          <h3 className="flex gap-2 items-center"> <BiSolidOffer />  Available Offer</h3>
          <p className="text-[15px] text-[#000] leading-6 font-poppins"><strong> Extra 5% discount on all orders above Rs.20,000/-
           </strong> </p>
           <div className="text-[14px] text-[#333] mt-2 font-medium"><span className="code_info">Use Code:</span><span className="ml-[10px] bg-[#29abe2] px-3 text-[16px] text-[#fff] border-1 border-dashed  border-[#fff] font-semibold py-[5px]">ELON5</span></div>
        </div>

       {/* offer line */}
       
        {/* Modal */}
        <div className="mt-3">
          <h3>Select Modal</h3>
          <Swiper
            slidesPerView={5}
            loop={true}
            spaceBetween={10}
            navigation={true}
            modules={[Navigation, Thumbs]}
            breakpoints={{
              0: { slidesPerView: 2, margin: 0 },
              400: { slidesPerView: 3 },
              800: { slidesPerView: 3 },
              1200: { slidesPerView: 4 },
              1399: { slidesPerView: 5 },
            }}
          >
            {[1,2,3,4,5,6].map((range) => (
              <SwiperSlide key={range.id}>
                <Range label={range.label} item={range.item} />
              </SwiperSlide>
            ))}
          </Swiper>
        </div>
        
        {/* end modal */}

        <div className="mt-4">
            <ProductQty qty={qty} setQty={setQty} />
            <p className="mb-0 text-[14px] text-[#666] mt-1">Minimum Order : <b>( 1 )</b></p>
        </div>

        <div className="my-4 flex flex-wrap gap-2 items-center transition-width duration-300">
           <div>
           <Link
              href="/wishlist"
              title="Wishlist"
              className="group/item transit transition-all duration-300  rounded-md w-fit  text-[16px] flex items-center gap-2 bg-[#000]  hover:bg-[#29abe2]  p-[10px]  text-md text-[#fff] font-medium  leading-[24px] no-underline hover:text-[#fff] "
            >
             <FaHeart className="text-red-400 text-[20px]"/> <span className="group/edit hidden transition-all duration-300  group-hover/item:inline-block ...">Add To Wishlist</span>
           </Link>

           </div>
           <div>
            <QuickCart
              qty={qty}
              setQty={setQty}
              selectedModel={selectedModel}
              productDetail={productDetail}
            />
          </div>

          <div className="w-[100%] md:w-auto">
            <BulkOrder/>
            </div>
        </div>

        <div className="product-description">
          <h3>Description</h3>
          <ShowMoreText
            lines={4}
            more="Read More"
            less="Read Less"
            onClick={toggleExpansion}
            expanded={expanded}
          >
            <p className="">A shower is a place in which a person bathes under a spray of typically warm or hot water.
             Indoors, there is a drain in the floor.A shower is a place in which a person bathes under a spray of typically warm or hot water.
              Indoors, there is a drain in the floor. A shower is a place in which a person bathes under a spray of typically warm or hot water.
               Indoors, there is a drain in the floor.A shower is a place in which a person bathes under a spray of typically warm or hot water. 
               Indoors, there is a drain in the floor.</p>
               <p className="">A shower is a place in which a person bathes under a spray of typically warm or hot water.
             Indoors, there is a drain in the floor.A shower is a place in which a person bathes under a spray of typically warm or hot water.
              Indoors, there is a drain in the floor. A shower is a place in which a person bathes under a spray of typically warm or hot water.
               Indoors, there is a drain in the floor.A shower is a place in which a person bathes under a spray of typically warm or hot water. 
               Indoors, there is a drain in the floor.</p>
          </ShowMoreText>
        </div>

        <div>
          <RatingModal
            productId={productDetail?.id}
            getProductDetails={getProductDetails}
          />
        </div>
      </div>
    </>
  );
};

export default ProductContent;
