"use client";
import styles from "./review.module.css";

const ReviewList = ({ productDetail }) => {

  function formatDateString(isoString) {
    const date = new Date(isoString);
    const options = { day: 'numeric', month: 'short', year: 'numeric' };
    const formattedDate = date.toLocaleDateString('en-US', options);
    return formattedDate;
  }
  
  return (
    <div className={styles["review-content"]}>
      <div className={`${styles["scrollbar"]} ${styles["customscroll"]}`}>
       
          {productDetail?.review?.map((row, index) => (
             <div className={styles["force-overflow"]} key={index}>
            <div className={styles["rating-inner"]}>
              {" "}
              <p className={styles["rating-title"]}>
                {row?.name??"unknown"} | {formatDateString(row?.created_at)}
              </p>
              <p className={styles["rating-para"]}>
                <span className={styles["customer-rating"]}>
                  {row?.star??"0"} | <span className="text-yellow-500 ">★</span>
                </span>{" "}
                &nbsp; &nbsp; {row?.review??"Not provided"}
              </p>
            </div>
            </div>
          ))}
      </div>
    </div>
  );
};

export default ReviewList;
