"use client";

import { useState } from "react";
import "./slider.css";
import "swiper/swiper.min.css";
import "swiper/css";
import "swiper/css/pagination";
import "swiper/css/navigation";
import { Navigation, Thumbs } from "swiper";
import { Swiper, SwiperSlide } from "swiper/react";
import Image from "next/image";
import prodImg from "/public/product/prod-1.jpg";

export default function ProductSlider() {
  const [activeThumb, setActiveThumb] = useState(null);

  return (
    <>
      <div className="flex" style={{ gap: "10px" }}>
        <Swiper
          loop={true}
          spaceBetween={10}
          navigation={true}
          modules={[Navigation, Thumbs]}
          thumbs={{ swiper: activeThumb }}
          className="product-images-slider mySwiper2"
        >
          {[1, 2, 3, 4].map((_, index) => (
            <SwiperSlide key={index}>
              <Image
                src={prodImg}
                width={400}
                height={400}
                alt={`product image ${index + 1}`}
                className="img-fluid"
              />
            </SwiperSlide>
          ))}
        </Swiper>

        <Swiper
          onSwiper={setActiveThumb}
          direction="vertical"
          loop={false}
          spaceBetween={10}
          slidesPerView={3}
          modules={[Thumbs]}
          className="product-images-slider-thumbs mySwiper"
        >
          {[1, 2, 3, 4].map((_, index) => (
            <SwiperSlide key={index}>
              <div className="product-images-slider-thumbs-wrapper">
                <Image
                  src={prodImg}
                  width={100}
                  height={100}
                  alt={`product thumbnail ${index + 1}`}
                />
              </div>
            </SwiperSlide>
          ))}
        </Swiper>
      </div>
    </>
  );
}
