// "use client";
import Slider from "./component/slider/Slider";
import ProductContent from "./component/content/ProductContent";
import Review from "./component/review/Review";
import ReviewList from "./component/review/ReviewList";
import authApi from "@/Api/authApi";
import Head from "next/head";
import VariationSlider from "./component/variationSlider/VariationSlider";
import { IMAGEURL } from "@/Api/apiConfig";



const getData = async (product) => { 
  try {
    const res =await authApi.get(`get-product-by-id/${product}`);
    return res?.data?.product;
  } catch (error) {

  }
};

const ProductDetails =async ({ params }) => { 
  
  const { product } = params;

  const productDetail=await getData(product);



  return (
    <>
      {/* main content */}
      <section className="py-5">
        <div className="side-space">
          <div className="grid grid-cols-1 md:grid-cols-2 md:gap-8 xl:gap-14">
            <div className="w-100">
              <Slider />
            </div>
            <div>
              <ProductContent getProductDetails={getData(product)} productDetail={productDetail} />
            </div>
          </div>
        </div>
      </section>

      <hr />

      {/* rating */}

      <section className="pb-5">
        <div className="side-space">
          <div className="common-heading text-left mb-3">
            <h3 className="font-Butler-Normal">RATINGS & CUSTOMER REVIEWS</h3>
          </div>

          <div className="grid grid-cols-1  md:grid-cols-2  gap-0 md:gap-10">
            <div>
              <Review productDetail={productDetail} />
            </div>
            <div>
              <ReviewList  productDetail={productDetail} />
            </div>
          </div>
        </div>
      </section>

      {/* similar product */}

      <section className="pb-5">
        <div className="side-space">
          <div className="orange-line"></div>
          <div className="common-heading text-left mb-3">
            <h3 className="font-Butler-Normal">Similar Products</h3>
          </div>

          <div className="category-list col-span-12">
             <VariationSlider category={productDetail?.category_slug} />
          </div>
        </div>
      </section>
    </>
  );
};

export default ProductDetails;
