import React, { useState } from 'react';

function Checkbox({ label }) {
  const [checked, setChecked] = useState(false);

  const handleCheckboxChange = () => {
    setChecked(!checked);
  };

  return (
    <>
      <div className="form-check">
        <input
          className="form-check-input"
          type="checkbox"
          checked={checked}
          id={label}
          onChange={handleCheckboxChange}
        />
        <label className="form-check-label" htmlFor={label}>
          {label}
        </label>
      </div>
    </>
  );
}

export default Checkbox;
