

'use client'
import React from 'react';
import PropTypes from 'prop-types';

const CustomButton = ({
  title,
  bgColor,
  hoverBgColor,
  textColor,
  hoverTextColor,
  borderColor,
  borderRadius,
}) => {
  return (
    <button type='btn'
      className={`rounded-full transition-all text-[14px] d-flex justify-center  py-2 px-6 lg:px-10 w-[100%] md:py-3 text-md font-medium leading-[24px] no-underline`}
      style={{
        backgroundColor: bgColor,
        color: textColor,
        border: `1px solid ${borderColor}`,
        borderRadius: borderRadius,
      }}
      onMouseEnter={(e) => {
        e.target.style.backgroundColor = hoverBgColor;
        e.target.style.color = hoverTextColor;
        e.target.style.borderColor = hoverBgColor;
      }}
      onMouseLeave={(e) => {
        e.target.style.backgroundColor = bgColor;
        e.target.style.color = textColor;
        e.target.style.borderColor = borderColor;
      }}
    >
      {title}
    </button>
  );
};

CustomButton.propTypes = {
  title: PropTypes.string.isRequired,
  bgColor: PropTypes.string,
  hoverBgColor: PropTypes.string,
  textColor: PropTypes.string,
  hoverTextColor: PropTypes.string,
  borderColor: PropTypes.string,
  borderRadius: PropTypes.string
};

CustomButton.defaultProps = {
  bgColor: '#000',
  hoverBgColor: '#333',
  textColor: '#fff',
  hoverTextColor: '#fff',
  borderColor: '#000',
  borderRadius: '50px',
};

export default CustomButton;
