"use client";
import Link from "next/link";
import prodImg from "/public/product/prod-1.jpg";
import ScrollToTop from "../ScrollToTop";
import Image from "next/image";
import { IMAGEURL } from "@/Api/apiConfig";

const handleLinkClick = () => {
  ScrollToTop();
};

function Product({ row }) {
  return (
    <>
      <div>
        <div className="product p-3 transition-[background]  border-1 border-[#333] rounded-lg">
          <Link href={`/product_details/${row?.id}`} onClick={handleLinkClick}>
            <span className="prod_img">
              <Image
                src={row?.thumbnail ? `${IMAGEURL}${row?.thumbnail}` : prodImg}
                alt="product"
                width={100}
                height={100}
                className="w-100 h-100"
              />
            </span>
          </Link>
          <div className="mt-2">
            <p className="text-black text-normal text-sm mb-1 text-[12px] md:text-[14px]">
              <b>Item</b> - {row?.product_code ?? "Not given"}{" "}
              <span className="mx-2">|</span> <b>Color</b>- Gray
            </p>
            <p className="text-sm text-black font-normal font-poppins text-[12px] md:text-[14px] mb-0">
              {row?.product_name ?? "Not given"}
            </p>
            <div className="text-center mt-3">
              <Link
                href={`/product_details/${row?.id}`}
                onClick={handleLinkClick}
                className="text-black text-sm no-underline block text-[12px] md:text-[14px] w-100 p-2 uppercase font-bold transition-all bg-[#F4F4F4] hover:no-underline"
              >
                View Details
              </Link>
            </div>
          </div>
        </div>
      </div>
    </>
  );
}

export default Product;
