"use client";
import Link from "next/link";
import prodImg from "/public/product/srink.jpg";
import ScrollToTop from "../ScrollToTop";
import Image from "next/image";
import { IMAGEURL } from "@/Api/apiConfig";
import { MdOutlineShoppingCart } from "react-icons/md";
import { FaRegStar } from "react-icons/fa";
import "./product.css";
import { FaRegEye } from "react-icons/fa";
import CartPopup from "../CartPopup";
import { FaRegHeart } from "react-icons/fa";

const handleLinkClick = () => {
  ScrollToTop();
};

function Product() {
  return (
    <>
      <div className="product-card  transition-[height]  border-1 border-[#9d9e9e] rounded-lg overflow-hidden relative bg-[#c9c9c92b]">
        <Link href="/product_details">
          <div className="inline_product">
            <Link href="/product_details">
              <div className="prod_img h-[260px] p-3">
                <Image
                  loading="lazy"
                  src={prodImg}
                  alt="product"
                  width={400}
                  height={400}
                  className="w-100 h-[inherit] object-contain rounded"
                />
              </div>
            </Link>
            <div className="quick-view">
              <Link
                className="btn-circle stopPropagation action-product-quick-view"
                href="#"
              >
                <FaRegEye className="czi-eye align-middle" />
              </Link>
            </div>
          </div>

          <div className="product-stock">
            <div className="out-of-stock-box">
              <div className="flex gap-1">
                <span className="badge rounded-pill off-labl-success">New</span>
                <span className="badge rounded-pill pro-labl-danger">-25%</span>
              </div>
              <div className="wishlist">
                <FaRegHeart />
              </div>
            </div>
          </div>

          <div className="p-3 product-info">
            <p className="text-black font-normal font-poppins text-[12px] md:text-[12px] mb-0">
              Somany
            </p>
            <Link href="/product_details">
              <p className="text-sm text-black font-medium  font-poppins leading-7 text-[15px] lg:text-[16px] line-clamp-1 mb-2">
                Rectangular vessel bathroom sink
              </p>
            </Link>
            <div className="rating flex gap-2 text-[#666] mb-3">
              <FaRegStar />
              <FaRegStar />
              <FaRegStar />
              <FaRegStar />
              <FaRegStar />
            </div>
            <p className="text-sm text-black font-semibold font-poppins text-[16px] lg:text-[18px] mb-0">
              $20.00{" "}
              <span className="ms-2 line-through text-[14px] text-[#777]">
                $18.00
              </span>
            </p>
            <div className="mt-3 cart-overlay">
              {/* <Link href="#" className="rounded-full flex w-fit transition-all text-[14px]  items-center gap-2 bg-[#000] border-1 border-[#000] hover:border-[#3333]  py-2 px-4  lg:px-8 md:py-3  text-md text-[#fff] font-normal  leading-[24px] no-underline hover:text-[#fff] hover:bg-[#333] hover:border-[#6f6f6f]" >
                <span> Add To Cart </span>
                <MdOutlineShoppingCart />
              </Link> */}

              <CartPopup />
            </div>
          </div>
        </Link>
      </div>
    </>
  );
}

export default Product;
