﻿"use client";

import { useEffect, useState } from "react";
import Product from "../shared/product/Product";
import Link from "next/link";
import authApi from "@/Api/authApi";
import { useRouter } from 'next/navigation';
import Pagination from "../shared/Pagination/Pagination";
import { useSearchParams } from "next/navigation";
import axios from "axios";
import Checkbox from "../shared/Checkbox";
import "./product_sidebar.css"
import Sidebar from "./Sidebar";

const AllProduct = () => {
    const router = useRouter();
    const searchParam = useSearchParams();
    const [allProducts, setAllProducts] = useState([]);
    const [page, setPage] = useState(1);
    const [total, setTotal] = useState(0);
    const [allPages, setAllPages] = useState(1);
    const [perPage, setPerPage] = useState(0);
    const [cats, setcats] = useState([]);
    const [subCats, setSubCats] = useState([]);
    const [subSubCats, setSubSubCats] = useState([]);
    const [cat, setCat] = useState({});
    const [subCat, setSubCat] = useState({});
    const [subSubCat, setSubSubCat] = useState({});

    const [cat_id, setCat_id] = useState("");
    const [subCat_id, setSubCat_id] = useState("");
    const [subSubCat_id, setSubSubCat_id] = useState("");

    useEffect(() => {

        if (searchParam.get("cat_id")) {
            setCat_id(searchParam.get("cat_id"))
        }
        if (searchParam.get("sub_cat_id")) {
            setSubCat_id(searchParam.get("sub_cat_id"))
        }
        if (searchParam.get("cat_id")) {
            setSubSubCat_id(searchParam.get("sub_sub_cat_id"))
        }
    }, [searchParam])
    const getAllCats = async () => {
        try {
            const res = await authApi.get(`get-all-category`);
            const data = res?.data?.categories;
            const arr = data?.filter((ele) => ele?.parent_id == null);
            setcats(arr);
        } catch (error) { }
    };


    let cancelToken;

    const getAllProducts = async () => {
        // const handleSearchChange = async (e) => {
        //   const searchTerm = e.target.value;

        //Check if there are any previous pending requests
        if (typeof cancelToken != typeof undefined) {
            cancelToken.cancel("Operation canceled due to new request.");
        }

        //Save the cancel token for the current request
        cancelToken = axios.CancelToken.source();

        try {
            let props = ``;
            if (cat_id) {
                props = `&category_id=${cat_id}`;
                if (subCat_id) {
                    props = `&category_id=${cat_id}&sub_category_id=${subCat_id}`;
                    if (subSubCat_id) {
                        props = `&category_id=${cat_id}&sub_category_id=${subCat_id}&sub_sub_category_id=${subSubCat_id}`;
                    } else {
                        props = `&category_id=${cat_id}&sub_category_id=${subCat_id}`;
                    }
                } else {
                    props = `&category_id=${cat_id}`;
                }
            } else {
                props = ``;
            }
            if (props) {
                const res = await authApi.get(`get-all-products?page=${page}${props}`, { cancelToken: cancelToken.token });
                setAllProducts(res?.data?.products?.data);
                setTotal(res?.data?.products?.total);
                setPerPage(res?.data?.products?.per_page);
                setAllPages(
                    Math.ceil(res?.data?.products?.total / res?.data?.products?.per_page)
                );
            } else {
                const res = await authApi.get(`get-all-products?page=${page}`, { cancelToken: cancelToken.token });
                setAllProducts(res?.data?.products?.data);
                setTotal(res?.data?.products?.total);
                setPerPage(res?.data?.products?.per_page);
                setAllPages(
                    Math.ceil(res?.data?.products?.total / res?.data?.products?.per_page)
                );
            }

        } catch (error) { }
    };
    useEffect(() => {
        getAllProducts();
        return () => {
            if (cancelToken) {
                cancelToken.cancel("Operation canceled due to component unmounting.");
            }
        };

    }, [cat_id, subCat_id, subSubCat_id]);


    useEffect(() => {
        getAllCats();
    }, []);
    useEffect(() => {
        if (cat_id) {
            const a = cats?.filter((ele) => ele?.id == cat_id);
            if (a.length > 0) {
                setCat(a[0]);
                setSubCats(a[0]?.sub_category);
            } else {
                setCat({});
                setSubCats([]);
            }
        } else {
            setCat({});
            setSubCats([]);
        }
    }, [cat_id, cats]);

    useEffect(() => {
        if (subCat_id) {
            const a = subCats?.filter((ele) => ele?.id == subCat_id);
            if (a.length > 0) {
                setSubCat(a[0]);
                setSubSubCats(a[0]?.sub_sub_category);
            } else {
                setSubCat({});
                setSubSubCats([]);
            }
        } else {
            setSubCat({});
            setSubSubCats([]);
        }
    }, [subCat_id, subCats]);

    return (
        <>
            <section className="py-[40px] md:py-[60px] lg:py-[80px] beuaty-circle-sec beauty-circle-second">
                <div className="side-space">
                    <div className="grid grid-cols-1 md:grid-cols-2 mb-4 items-center">
                        <div className="">
                            <p className="mb-0">
                                Showing {cat?.name && <b> {cat?.name} </b>} {allProducts?.length} of {total}{" "}
                                results
                            </p>
                        </div>
                        {/* <div className="block md:flex md:flex-row flex-1 gap-2 justify-end mt-3 md:mt-0">
                            <div>
                                <select
                                    className="p-2 border rounded-sm focus:outline-0 w-100 sm:w-auto mb-2 md:mb-0"
                                    onChange={(e) => setCat_id(e.target.value)}
                                    value={cat_id}
                                >
                                    <option> Select Category </option>
                                    <option value=""> All </option>

                                    {cats?.map((row, index) => (
                                        <option key={index} value={row?.id}>
                                            {row?.name}{" "}
                                        </option>
                                    ))}
                                </select>
                            </div>
                            <div>
                                <select
                                    className="p-2 border rounded-sm focus:outline-0 w-100 sm:w-auto mb-2 md:mb-0"
                                    onChange={(e) => setSubCat_id(e.target.value)}
                                    value={subCat_id}
                                >
                                    <option> Select Sub Category </option>
                                    <option value=""> All </option>

                                    {subCats?.map((row, index) => (
                                        <option key={index} value={row?.id}>
                                            {row?.name}{" "}
                                        </option>
                                    ))}
                                </select>
                            </div>
                            <div>
                                <select
                                    className="p-2 border rounded-sm focus:outline-0 w-100 sm:w-auto mb-2 md:mb-0"
                                    onChange={(e) => setSubSubCat_id(e.target.value)}
                                    value={subSubCat_id}
                                >
                                    <option> Select Sub Sub Category </option>
                                    <option value=""> All </option>

                                    {subSubCats?.map((row, index) => (
                                        <option key={index} value={row?.id}>
                                            {row?.name}{" "}
                                        </option>
                                    ))}
                                </select>
                            </div>
                        </div> */}
                    </div>

                    <div className="product-row">
                        <div className="">
                          <Sidebar/>
                        </div>
                        <div className="">
                            <div className="grid grid-cols-1 gap-3 sm:grid-cols-3  md:grid-cols-2 lg:grid-cols-3  xl:grid-cols-4 2xl:grid-cols-4">
                                {[1,2,3,4,5,6,7,8]?.map((product) => (
                                    <Product key={product.id} row={product} />
                                ))}
                            </div>
                        </div>
                    </div>

                  

                    <div className="pt-4 d-flex justify-center">
                        <Pagination page={page} setPage={setPage} allPages={allPages} />
                    </div>
                </div>
            </section>
        </>
    );
};

export default AllProduct;
