import React from "react";
import Link from "next/link";
import { BsArrowRight } from "react-icons/bs";

const SignIn = () => {
  return (
    <>
      <form className="login-left-inner login-form-inner">
        <div className="section-title">
          <div className="common-heading">
            <h3 className="text-[18px] md:!text-[20px] lg:!text-[24px]]">Sign In</h3>
          </div>
        </div>
        <div className="form-container">
          <div className="row">
            <div className="col-12">
              <div className="form-group mb-3">
                <label>
                  Email <sup aria-hidden="true"> * </sup>
                </label>
                <input
                  className="form-control"
                  type="email"
                  placeholder="Email"
                />
              </div>
            </div>
            <div className="col-12">
              <div className="form-group mb-3">
                <label>
                  Password <sup aria-hidden="true"> * </sup>
                </label>
                <input
                  className="form-control"
                  type="password"
                  placeholder="Password"
                />
              </div>
            </div>
          </div>
        </div>
        <div className="">
          <Link href="/forgot_password" className="forgot-pass text-[#000]  text-[14px]">
            Forgot Password?
          </Link>

          <button
            type="submit"
            className="mt-3 rounded-full bg-[#000] hover:bg-[#333] text-[#fff] d-flex relative z-[99] justify-center w-[100%] transition-all text-[14px] flex items-center gap-2
                   py-2 px-6 lg:px-8 md:py-3 text-md font-medium leading-[24px] no-underline"
          >
            Log In <BsArrowRight />
          </button>
        </div>
      </form>
    </>
  );
};

export default SignIn;
