'use client'
import React , {useState} from "react";
import { BsArrowRight , BsBagHeart } from 'react-icons/bs';
import { LuPackageCheck } from "react-icons/lu";
import { BsCartCheck } from "react-icons/bs";
import "./signup.css";
import SignIn from "./SignIn";
import SignUp from "./SignUp";
import Link from "next/link";


const Signup = () => {
   const [isSigIn , SetSignIn] = useState(true);

   const handleSignIn = () => {
     SetSignIn(!isSigIn);
   }

  return (
    <>
      <section className="py-[40px] md:py-[60px] lg:py-[80px]">
        <div className="side-space">
          <div className="row justify-content-center">
            <div className="col-xl-4 col-lg-6 col-md-9 col-sm-12 col-12 login-form">
            {isSigIn ?  
             <SignIn/>
             : 
             <SignUp/>
            }
              
            </div>

            <div className="col-xl-4 col-lg-6 col-md-9 col-sm-12 col-12 login-form login-form">
              <div  className="login-right-inner login-form-inner" >
                <div className="login-right-top">
                  <div className="section-title">
                    <div className="common-heading">
                        <h3 className="text-[18px] md:!text-[20px] lg:!text-[24px]">{isSigIn ? 'Don\'t have an account yet?' : 'Already have an account?' }</h3>
                    </div>
                   
                    <p className="text-[15px] text-[#333] leading-6 mb-0">
                      {isSigIn ? 'Please create an account.' : 'Please sign in with your email and password.' }
                    </p>

                    <div className=" mt-3 ">
                        <button onClick={handleSignIn} className="rounded-full bg-[#000] hover:bg-[#333] text-[#fff] d-flex relative z-[99] justify-center w-[100%] transition-all text-[14px] flex items-center gap-2
                   py-2 px-6 lg:px-8 md:py-3 text-md font-medium leading-[24px] no-underline">{isSigIn ? 'Create Account' : 'Sign In ' } <BsArrowRight/></button>
                    </div>
                  </div>
                </div>
                <div className="login-right-bottom">
                  <ul className="account-info-icon p-0">
                    <li>
                      <Link href="/track-order">
                          <LuPackageCheck />
                      </Link>
                      <p>Track my <br/> orders</p>
                    </li>
                    <li>
                     <Link href="/wishlist">
                        <BsBagHeart />
                      </Link>
                      <p>Save products to your <br/>  favourites</p>
                    </li>
                    <li>
                      <Link href="/wishlist">
                      <BsCartCheck />

                      </Link>
                      <p>Manage your <br/> cart </p>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </>
  );
};

export default Signup;
