'use client'
import React, { useState } from 'react';
import {Form } from 'react-bootstrap';
import CustomButton from '../shared/CustomBtn';
import './trackorder.css'; 
import TrackStatus from './TrackStatus';

const TrackOrder = () => {
  const [trackingId, setTrackingId] = useState('');
  const [orderDetails, setOrderDetails] = useState(null);

  const handleSubmit = async (e) => {
    e.preventDefault();
    try {
      const TrackData = {
        trackingId: trackingId,
      };
      setOrderDetails(TrackData); 
    } catch (error) {
      console.error('Error fetching order details:', error);
    }
  };

  return (
    <>
      <section className="py-[40px] md:py-[60px] lg:py-[80px]">
        <div className='side-space py-5'>
         <div className='common-heading'>
            <h3 className='mb-4 text-center'>Tracking Id</h3>
         </div>
          <div className='trackig-order'>
            <form className='mt-3' onSubmit={handleSubmit}>
              <div className='trackorder-row'>
                <div className='w-100'>
                  <input
                    type="text"
                    placeholder="Enter Tracking Id"
                    value={trackingId}
                    
                    onChange={(e) => setTrackingId(e.target.value)}
                    required
                    className='w-100 form-control py-2'
                  />
                </div>
                <div className='tracker-width'>
                  <CustomButton
                     title="SUBMIT"
                     bgColor="#000"
                     hoverBgColor="#333333"
                     textColor="#ffffff"
                     hoverTextColor="#ffffff"
                     borderColor="#000"
                     borderRadius="8px"
                  />
                </div>
              </div>
            </form>

          {/* Display order details if available */}
            {orderDetails && (
            <div className="mt-4 order-details">
              <div className='common-heading'>
              <h3 className='' style={{fontSize:'20px'}}>Order Details</h3>
              </div>
              <p><b>Tracking ID:</b> 123456 </p>
              <p><b>Product : </b> Rectangular vessel bathroom sink</p>
              <p><b>Date:</b> 05/05/2024</p>
              <p><b>Shipping Status:</b> Processing</p>
              <TrackStatus/>
             </div>
          )}
          </div>
         
        </div>
      </section>
    </>
  );
};

export default TrackOrder;
